package com.yvan.mvc;

import org.springframework.validation.annotation.Validated;

import java.lang.annotation.*;

@Target({ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@Validated
public @interface JsonBody {

    /**
     * 参数描述
     */
    boolean required() default true;

    /**
     * 参数描述
     */
    String value() default "";

}
